Package org.eclipse.lemminx.extensions.references.search

## Class ReferenceLink

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.search.ReferenceLink

    public class ReferenceLink
    extends Object

Link which stores all from and to references for a given expression.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ReferenceLink​(XMLReferenceExpression expression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFrom​(SearchNode from)`
`void` `addTo​(SearchNode to)`
`XMLReferenceExpression` `getExpression()`
`List<SearchNode>` `getFroms()`
`List<SearchNode>` `getTos()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceLink

    public ReferenceLink​(XMLReferenceExpression expression)

### Method Detail

#### addTo

    public void addTo​(SearchNode to)

#### addFrom

    public void addFrom​(SearchNode from)

#### getFroms

    public List<SearchNode> getFroms()

#### getTos

    public List<SearchNode> getTos()

#### getExpression

    public XMLReferenceExpression getExpression()